{ self, inputs, ... }: {
  flake.nixosModules.system = {
    imports = [
      inputs.nur.modules.nixos.default
      self.nixosModules.systemLocalization
      self.nixosModules.systemFonts
      self.nixosModules.systemNetworking
      self.nixosModules.systemTailscale
      self.nixosModules.systemLocalsend
      self.nixosModules.systemChromiumHevcVaapi
      self.nixosModules.systemMonitorInput
      self.nixosModules.systemSpotify
      self.nixosModules.systemPackagesDefaults
      self.nixosModules.systemDocker
      self.nixosModules.systemDockerRegistryAuth
      self.nixosModules.systemFlatpak
      self.nixosModules.systemAudio
      self.nixosModules.systemIdeapadMrubyOverlay
      self.nixosModules.systemYtDlpTelequebecPatch
      self.nixosModules.systemGaming
      self.nixosModules.systemGpuPassthru
      self.nixosModules.systemUconsoleKernelBuilder
      self.nixosModules.systemLibrepods
      self.nixosModules.systemPalera1n
      self.nixosModules.systemCaching
      inputs.swiftshare.nixosModules.systemServiceSwiftshare
      inputs.personal-website.nixosModules.systemServicePersonalWebsite
      self.nixosModules.systemServiceImmich
    ];
  };
}
